Bug 71613 - Should watch /usr/share/applications for changes
Summary: Should watch /usr/share/applications for changes
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218 79579
TreeView+ depends on / blocked
 
Reported: 2002-08-15 18:55 UTC by Havoc Pennington
Modified: 2007-04-18 16:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-21 21:01:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Havoc Pennington 2002-08-15 18:55:35 UTC
If you install an app while KDE is running, it isn't getting picked up
in the menus; should rerun desktop-create-kmenu. It would be fine to just run
desktop-create-kmenu if a change is detected in /usr/share/applications
/etc/X11/applnk or /usr/share/applnk I think. (Those are the important
directories things are merged from.)

Comment 1 Ngo Than 2002-08-15 19:01:25 UTC
it's already done in current current kdebase.

Comment 2 Jay Turner 2002-09-04 16:59:10 UTC
Maybe this is how it is supposed to work, but I don't get the menu and kicker
updates until I log out and back into KDE.  This is with kdebase-3.0.3-11.  If
this is the expected behavior, then please close out.

Comment 3 Havoc Pennington 2002-09-04 18:28:40 UTC
It should update immediately.

Comment 4 Ngo Than 2003-02-21 21:01:57 UTC
it's a bug in kdelibs and fixed now in kdelibs-3.1-9.


Note You need to log in before you can comment on or make changes to this bug.